﻿using Dapfor.Wpf.Converters;
using Dapfor.Wpf.Data;

namespace Dapfor.Wpf.Grid.Demo.Examples.DataBinding.BindingToMultipleSources
{
    public class Order
    {
        #region Fields

        #endregion

        public Order(string name, string instrument, double price, long quantity)
        {
            Name = name;
            Instrument = instrument;
            Price = price;
            Quantity = quantity;
        }

        [Field("IdName")]
        public string Name { get; private set; }

        public string Instrument { get; private set; }

        [DoubleConverter(2)]
        public double Price { get; private set; }

        public long Quantity { get; private set; }
    }
}