﻿using System;
using System.ComponentModel;

namespace Dapfor.Wpf.Grid.Demo.Examples.DataBinding.DeclarativeHierarchicalBinding
{
    public class Customers : BindingList<Customer>
    {
        public void Populate()
        {
            //Add some customers
            var customer = new Customer("Ann Adams", "Microsoft", "111-11-1111");
            customer.Orders.Add(new Order("111111", "Wpf GridControl", 2, 354.54));
            customer.Orders.Add(new Order("111112", "Wpf Suite", 5, 395.21));
            customer.Orders.Add(new Order("111113", "Wpf Chart", 1, 145.77));
            Add(customer);

            customer = new Customer("Beth Baker", "Oracle", "222-22-2222");
            customer.Orders.Add(new Order("111120", "Wpf Report", 2, 354.11));
            customer.Orders.Add(new Order("111121", "Wpf Tab", 1, 185.73));
            customer.Orders.Add(new Order("111122", "Wpf Office", 8, 132.15));
            Add(customer);

            customer = new Customer("Cecil Carleton", "Google", "333-33-3333");
            customer.Orders.Add(new Order("111130", "Wpf Security", 2, 654.41));
            customer.Orders.Add(new Order("111131", "Wpf Lab", 4, 647.34));
            customer.Orders.Add(new Order("111132", "Wpf Suite", 1, 451.65));
            Add(customer);

            customer = new Customer("David Davis", "IBM", "444-44-4444");
            customer.Orders.Add(new Order("111141", "Wpf GridControl", 20, 354.54));
            customer.Orders.Add(new Order("111142", "Wpf Suite", 5, 395.21));
            customer.Orders.Add(new Order("111143", "Wpf Chart", 7, 145.77));
            Add(customer);

            customer = new Customer("Ellen Edwards", "JPMorgan Chase & Co", "555-55-5555");
            customer.Orders.Add(new Order("111150", "Wpf Report", 24, 354.11));
            customer.Orders.Add(new Order("111151", "Wpf Tab", 10, 185.73));
            customer.Orders.Add(new Order("111152", "Wpf Office", 18, 132.15));
            Add(customer);
        }
    }
}