﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace Dapfor.Wpf.Grid.Demo.Examples.DataBinding.SharedData
{
    internal class RatingValueConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (parameter is string && value is int)
            {
                int param = Int32.Parse((string)parameter, NumberStyles.Any);
                return (int)value >= param;
            }

            return true;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return Binding.DoNothing;
        }
    }
}