﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace Dapfor.Wpf.Grid.Demo.Examples.Miscellaneous.FileExplorer
{
    class SizeCustomConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            decimal decValue = System.Convert.ToDecimal(value);
            decValue = Decimal.Ceiling(decValue / 1024);

            return decValue != 0 ? string.Format("{0:n0} Ko", decValue) : string.Empty;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return Binding.DoNothing;
        }
    }
}
