﻿using Dapfor.Wpf.Data;

namespace Dapfor.Wpf.Grid.Demo.Examples.Miscellaneous.Trading
{
    internal class ShareCollection : ThreadSafeBindingList<Share>
    {
        public ShareCollection()
        {
            CreateData();
        }

        private void CreateData()
        {
            Add(new Share("ACCOR", 22.96, 546));
            Add(new Share("AIR LIQUIDE", 84.99, 54));
            Add(new Share("ALCATEL-LUCENT", 2.087, 1032));
            Add(new Share("ALSTOM", 36.135, 1000));
            Add(new Share("ARCELORMITTAL", 22.81, 3645));
            Add(new Share("AXA", 12.695, 6532));
            Add(new Share("BNP PARIBAS ACT.A", 46.835, 650));
            Add(new Share("BOUYGUES", 30.785, 65));
            Add(new Share("CAP GEMINI", 36.275, 694));
            Add(new Share("CARREFOUR", 34.86, 368));
            Add(new Share("CREDIT AGRICOLE", 8.872, 3540));
            Add(new Share("DANONE", 45.365, 93));
            Add(new Share("DEXIA", 3.11, 1360));
            Add(new Share("EADS", 16.515, 1035));
            Add(new Share("EDF", 30.445, 650));
            Add(new Share("ESSILOR INTL.", 49.705, 469));
            Add(new Share("FRANCE TELECOM", 14.85, 65));
            Add(new Share("GDF SUEZ", 24.66, 87));
            Add(new Share("L'OREAL", 83.04, 981));
            Add(new Share("LAFARGE", 40.355, 64));
            Add(new Share("LAGARDERE S.C.A.", 25.735, 94));
            Add(new Share("LVMH", 89.03, 84));
            Add(new Share("MICHELIN", 58.30, 14));
            Add(new Share("PERNOD RICARD", 63.33, 5));
            Add(new Share("PEUGEOT", 23.435, 47));
            Add(new Share("PPR", 98.72, 36));
            Add(new Share("RENAULT", 33.42, 41));
            Add(new Share("SAINT GOBAIN", 31.455, 32));
            Add(new Share("SANOFI-AVENTIS", 48.25, 12));
            Add(new Share("SCHNEIDER ELECTRIC", 84.94, 43));
            Add(new Share("SOCIETE GENERALE", 35.97, 73));
            Add(new Share("STMICROELECTRONICS", 6.649, 184));
            Add(new Share("SUEZ ENVIRONNEMENT", 13.82, 73));
            Add(new Share("TECHNIP", 47.72, 6));
            Add(new Share("TOTAL", 38.09, 87));
            Add(new Share("UNIBAIL-RODAMCO", 135.55, 13));
            Add(new Share("VALLOUREC", 75.91, 64));
            Add(new Share("VEOLIA ENVIRON.", 19.42, 9));
            Add(new Share("VINCI", 35.005, 16));
            Add(new Share("VIVENDI", 17.285, 21));
        }
    }
}
